Subject: Re: [PATCH netdev-2.6 7/10] ixgb: Replace kmalloc with vmalloc to allocate driver local data structures

From: Jeff Garzik <[email-masked]>
Date: Fri, 29 Oct 2004 14:26:37 -0400

William Lee Irwin III wrote:
> vmalloc is relatively highly penalized. For instance, global TLB
> flushes associated with vfree() and so on. Aggregate vmallocspace
> limitations are a big concern. I probably wouldn't use vmallocspace
> for much besides infrequent allocations, e.g. things allocated during
> driver initialization. One per driver instance won't really hurt much
> because vmallocspace limits prevent large numbers of drivers from being
> simultaneously loaded as it stands now anyway.

That's precisely what we're contemplating -- a once per driver 
allocation that remains static for the entire driver runtime (descriptors)

	Jeff